/******************************************************************************
* NCSimMessages.cpp - Holds the messages controller.			      *
*******************************************************************************
* (C) Gershon Elber					                      *
*******************************************************************************
* Written by Gershon Elber, Dec 2006.					      *
******************************************************************************/

#include "NCSimMessages.h"

/*****************************************************************************
* AUXILIARY:								     *
*    Event table for NCSimMessagesClass					     *
*****************************************************************************/
BEGIN_EVENT_TABLE(NCSimMessagesClass, wxTextCtrl)
END_EVENT_TABLE()

/*****************************************************************************
* DESCRIPTION:                                                               M
*   Constructor of the messages control class.                               M
*                                                                            *
* PARAMETERS:                                                                M
*   Parent:   Frame window.			                             M
*   Id:       ID assigned to window.                                         M
*   Value:    Message's initial text.                                        M
*   Flags:    wxWidgets modifier styles.                                     M
*                                                                            *
* RETURN VALUE:                                                              M
*   NoValue                                                                  M
*                                                                            *
* KEYWORDS:                                                                  M
*   NCSimMessagesClass::NCSimMessagesClass                                   M
*****************************************************************************/
NCSimMessagesClass::NCSimMessagesClass(wxWindow *Parent,
				       wxWindowID Id,
				       const wxString &Value,
				       int Flags):
	wxTextCtrl(Parent,
		   Id,
		   Value,
		   wxDefaultPosition,
		   wxDefaultSize,
		   Flags | wxTE_MULTILINE |
			   wxTE_READONLY | 
			   wxTE_RICH | 
			   wxTE_RICH2 |
			   wxTE_WORDWRAP) 
{
    NCSIM_DEBUG_FUNC_ENTRY
}

/*****************************************************************************
* DESCRIPTION:                                                               M
*   Destructor of the text control class.                                    M
*                                                                            *
* PARAMETERS:                                                                M
*   None								     M
*                                                                            *
* RETURN VALUE:                                                              M
*   NoValue                                                                  M
*                                                                            *
* KEYWORDS:                                                                  M
*   NCSimMessagesClass::~NCSimMessagesClass                                  M
*****************************************************************************/
NCSimMessagesClass::~NCSimMessagesClass()
{
    NCSIM_DEBUG_FUNC_ENTRY
}

